Package org.eclipse.pde.ui.launcher

# Class OSGiLaunchShortcut

java.lang.Object
org.eclipse.pde.ui.launcher.AbstractLaunchShortcut
org.eclipse.pde.ui.launcher.OSGiLaunchShortcut

All Implemented Interfaces:
  `ILaunchShortcut`

public class OSGiLaunchShortcut extends AbstractLaunchShortcut
A launch shortcut capable of launching an OSGi frameowrk

This class may be instantiated or subclassed by clients.

Since:
  3.3

## Constructor Summary

Constructors
Constructor
Description
`OSGiLaunchShortcut()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getLaunchConfigurationTypeName()`
Returns the launch configuration type name.
`protected void`
`initializeConfiguration(ILaunchConfigurationWorkingCopy configuration)`
Delegates to the initializer associated with the selected OSGI framework to initialize the launch configuration
`protected boolean`
`isGoodMatch(ILaunchConfiguration configuration)`
Determines whether a given launch configuration is a good match given the current application or framework being launched.
`void`
`launch(ISelection selection, String mode)`
`void`
`launch(IEditorPart editor, String mode)`

### Methods inherited from class org.eclipse.pde.ui.launcher.AbstractLaunchShortcut

`chooseConfiguration, findLaunchConfiguration, getName, launch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OSGiLaunchShortcut

public OSGiLaunchShortcut()

## Method Details

### launch

public void launch(ISelection selection, String mode)

### launch

public void launch(IEditorPart editor, String mode)

### getLaunchConfigurationTypeName

protected String getLaunchConfigurationTypeName()
Description copied from class: `AbstractLaunchShortcut`
Returns the launch configuration type name. Must be overridden by subclasses

Specified by:
  `getLaunchConfigurationTypeName` in class `AbstractLaunchShortcut`
Returns:
  the launch configuration type name

### initializeConfiguration

protected void initializeConfiguration(ILaunchConfigurationWorkingCopy configuration)
Delegates to the initializer associated with the selected OSGI framework to initialize the launch configuration

Refer to the `org.eclipse.pde.ui.osgiFrameworks` extension point.

Specified by:
  `initializeConfiguration` in class `AbstractLaunchShortcut`
Parameters:
  `configuration` - the launch configuration working copy to be initialize
See Also:
  - `AbstractLaunchShortcut.initializeConfiguration(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy)`

### isGoodMatch

protected boolean isGoodMatch(ILaunchConfiguration configuration)
Description copied from class: `AbstractLaunchShortcut`
Determines whether a given launch configuration is a good match given the current application or framework being launched. This method must be overridden by subclasses. Its purpose is to add criteria on what makes a good match or not.

Specified by:
  `isGoodMatch` in class `AbstractLaunchShortcut`
Parameters:
  `configuration` - the launch configuration being evaluated
Returns:
  `true` if the launch configuration is a good match for the application or framework being launched, `false` otherwise.